package com.lz.modules.flow.dao;
/**
* <p>
* 流转表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-18
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.flow.entity.Flow;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface FlowMapper extends BaseMapper<Flow> {


	Flow selectFlowById(@Param("id")Long id);


	Long insertFlow(Flow flow);


	int updateFlowById(Flow flow);


	int updateCoverFlowById(Flow flow);


	int deleteFlowById(@Param("id")Long id);


    List<Flow> selectByFlowId(@Param("flowId") Long flowId, @Param("startId") Long startId);


}